Bug 17961 - TT syntax for notices - Prove we have an equivalent for our historical custom syntax
Summary: TT syntax for notices - Prove we have an equivalent for our historical custom...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 17962 17963 17964 17965 17966 17967 17975 19578
Blocks: 15278 15280 15282 17981
  Show dependency treegraph
 
Reported: 2017-01-23 13:07 UTC by Jonathan Druart
Modified: 2018-12-03 20:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-01-23 13:07:26 UTC
This bug report is an omnibus.
It will link to bug reports which take care of the migration to the TT syntax for notices.

For each special marker we have in our historical custom syntax, an equivalence will be provided. Moreover tests will cover all the changes.
Comment 1 Jonathan Druart 2017-01-23 13:08:56 UTC
To achieve this work, I used the notices from the wiki:
  https://wiki.koha-community.org/wiki/Notices_and_Slips_Library
Comment 2 Jonathan Druart 2017-01-24 15:18:22 UTC
Bug 17962: TT syntax for notices - Prove that ACQ_NOTIF_ON_RECEIV is compatible

Bug 17963: TT syntax for notices - Prove that AR_* are compatible

Bug 17964: TT syntax for notices - Prove that CHECKIN and CHECKOUT are compatible

Bug 17965: TT syntax for notices - Prove that DUEDGST is compatible

Bug 17975: TT syntax for notices - Prove that HOLD_SLIP is compatible

Bug 17966: TT syntax for notices - Prove that ISSUESLIP is compatible

Bug 17967: TT syntax for notices - Prove that ODUE is compatible
Comment 3 Katrin Fischer 2018-03-30 09:32:56 UTC
If I read the graph correctly, all depending reports have been resolved. Resolving this now to UNBLOCK some of the related reports.
Comment 4 Jonathan Druart 2018-03-30 15:02:13 UTC
I do not remember if the list was exhaustive.

We may need to check the wiki page and make sure the notices under ODUE can be written without regressions using the TT syntax.
Comment 5 Katrin Fischer 2018-04-01 12:02:19 UTC
Added to next meeting's agenda:
https://wiki.koha-community.org/wiki/General_IRC_meeting_4_April_2018#Agenda